module.exports = {
  create: {
    requestBody: [
      "!item",
      "!s_p",
      "!s_c",
      "!e_p",
      "!e_c",
      "!name",
      "start",
      "end",
      "status",
      "!owner",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "!item",
      "!s_p",
      "!s_c",
      "!e_p",
      "!e_c",
      "!name",
      "start",
      "end",
      "status",
      "!owner",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        item: "item",
        s_p: "%s_p%",
        s_c: "%s_c%",
        e_p: "%e_p%",
        e_c: "%e_c%",
        name: "%name%",
        start: "%start%",
        end: "%end%",
        status: "status",
        owner: "owner",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
